<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 25/5/2018
 * Time: 6:28 PM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idAviso']) && isset($_REQUEST['asunto']) && isset($_REQUEST['descripcion'])) {
            $idaviso = $_REQUEST['idAviso'];
            $aviso = R::load('aviso', $idaviso);
            $aviso->asunto = $_REQUEST['asunto'];
            $aviso->descripcion = $_REQUEST['descripcion'];
            if (isset($_REQUEST['imagen'])){
                $imagen = $_REQUEST['imagen'];
                $aviso->imagen = $ImageUploader->subirImagen($imagen);
            }
            $aviso->fechaModificacion = date('Y-m-d H:i:s');
            $aviso->estado = 1;
            $id = R::store($aviso);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}